mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.TypeEntry System.Runtime.InteropServices.ComVisible(true)

The current class is used by the method, which is the server-side counterpart of the method. The method is used on the server to allow remote activation by clients of specified object types.

To create a client-activated object on the server, you must know its , and it must be registered on the server end by using the method. To obtain a proxy for a new client-activated object, the client must first register a channel with and then activate the object by calling new or .

To activate a client-activated object type with the new keyword, you must first register the object type on the client using the method. By calling you are giving the remoting infrastructure the location of the remote application where new attempts to create it. If, on the other hand, you use the method to create a new instance of the client-activated object, you must supply the remote application's URL as a parameter, so no prior registration on the client is necessary. To supply the method with the URL of the server on which you want to create the object, you must encapsulate the URL in an instance of the class.

For a detailed description of client-activated objects and remote object activation, see [<topic://cpconActivation>].

Holds values for an object type registered on the service end as one that can be activated on request from a client.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the given .

  The of the client-activated service type.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the given type name and assembly name.

  The type name of the client-activated service type.
  The assembly name of the client-activated service type.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Contexts.IContextAttribute[] To be added: an object of type 'Contexts.IContextAttribute []'

  Currently, this indexer is not implemented and operations on it will not produce any results.

  Context attributes provide context properties which when added to a context can enforce policies such as synchronization and transactions.

  Gets or sets the context attributes for the client-activated service type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the of the client-activated service type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns the type and assembly name of the client-activated service type as a .

  The type and assembly name of the client-activated service type as a .